<?php
$tdataaccountincome = array();
$tdataaccountincome[".searchableFields"] = array();
$tdataaccountincome[".ShortName"] = "accountincome";
$tdataaccountincome[".OwnerID"] = "";
$tdataaccountincome[".OriginalTable"] = "accountincome";


$tdataaccountincome[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataaccountincome[".originalPagesByType"] = $tdataaccountincome[".pagesByType"];
$tdataaccountincome[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataaccountincome[".originalPages"] = $tdataaccountincome[".pages"];
$tdataaccountincome[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataaccountincome[".originalDefaultPages"] = $tdataaccountincome[".defaultPages"];

//	field labels
$fieldLabelsaccountincome = array();
$fieldToolTipsaccountincome = array();
$pageTitlesaccountincome = array();
$placeHoldersaccountincome = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsaccountincome["English"] = array();
	$fieldToolTipsaccountincome["English"] = array();
	$placeHoldersaccountincome["English"] = array();
	$pageTitlesaccountincome["English"] = array();
	$fieldLabelsaccountincome["English"]["IncomeID"] = "Income ID";
	$fieldToolTipsaccountincome["English"]["IncomeID"] = "";
	$placeHoldersaccountincome["English"]["IncomeID"] = "";
	$fieldLabelsaccountincome["English"]["AccountTypeID"] = "Account Type ID";
	$fieldToolTipsaccountincome["English"]["AccountTypeID"] = "";
	$placeHoldersaccountincome["English"]["AccountTypeID"] = "";
	$fieldLabelsaccountincome["English"]["Amounts"] = "Amounts";
	$fieldToolTipsaccountincome["English"]["Amounts"] = "";
	$placeHoldersaccountincome["English"]["Amounts"] = "";
	$fieldLabelsaccountincome["English"]["Noted"] = "Noted";
	$fieldToolTipsaccountincome["English"]["Noted"] = "";
	$placeHoldersaccountincome["English"]["Noted"] = "";
	$fieldLabelsaccountincome["English"]["Daterecorde"] = "Daterecorde";
	$fieldToolTipsaccountincome["English"]["Daterecorde"] = "";
	$placeHoldersaccountincome["English"]["Daterecorde"] = "";
	$pageTitlesaccountincome["English"]["list"] = "ລົງບັນຊີລາຍຮັບ";
	if (count($fieldToolTipsaccountincome["English"]))
		$tdataaccountincome[".isUseToolTips"] = true;
}


	$tdataaccountincome[".NCSearch"] = true;



$tdataaccountincome[".shortTableName"] = "accountincome";
$tdataaccountincome[".nSecOptions"] = 0;

$tdataaccountincome[".mainTableOwnerID"] = "";
$tdataaccountincome[".entityType"] = 0;
$tdataaccountincome[".connId"] = "eflejob_at_localhost";


$tdataaccountincome[".strOriginalTableName"] = "accountincome";

	



$tdataaccountincome[".showAddInPopup"] = false;

$tdataaccountincome[".showEditInPopup"] = false;

$tdataaccountincome[".showViewInPopup"] = false;

	$tdataaccountincome[".listAjax"] = true;
//	temporary
//$tdataaccountincome[".listAjax"] = false;

	$tdataaccountincome[".audit"] = false;

	$tdataaccountincome[".locking"] = false;


$pages = $tdataaccountincome[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataaccountincome[".edit"] = true;
	$tdataaccountincome[".afterEditAction"] = 1;
	$tdataaccountincome[".closePopupAfterEdit"] = 1;
	$tdataaccountincome[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataaccountincome[".add"] = true;
$tdataaccountincome[".afterAddAction"] = 1;
$tdataaccountincome[".closePopupAfterAdd"] = 1;
$tdataaccountincome[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataaccountincome[".list"] = true;
}



$tdataaccountincome[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataaccountincome[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataaccountincome[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataaccountincome[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataaccountincome[".printFriendly"] = true;
}



$tdataaccountincome[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataaccountincome[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataaccountincome[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataaccountincome[".isUseAjaxSuggest"] = true;



						

$tdataaccountincome[".ajaxCodeSnippetAdded"] = false;

$tdataaccountincome[".buttonsAdded"] = false;

$tdataaccountincome[".addPageEvents"] = false;

// use timepicker for search panel
$tdataaccountincome[".isUseTimeForSearch"] = false;


$tdataaccountincome[".badgeColor"] = "9acd32";


$tdataaccountincome[".allSearchFields"] = array();
$tdataaccountincome[".filterFields"] = array();
$tdataaccountincome[".requiredSearchFields"] = array();

$tdataaccountincome[".googleLikeFields"] = array();
$tdataaccountincome[".googleLikeFields"][] = "IncomeID";
$tdataaccountincome[".googleLikeFields"][] = "AccountTypeID";
$tdataaccountincome[".googleLikeFields"][] = "Amounts";
$tdataaccountincome[".googleLikeFields"][] = "Noted";
$tdataaccountincome[".googleLikeFields"][] = "Daterecorde";



$tdataaccountincome[".tableType"] = "list";

$tdataaccountincome[".printerPageOrientation"] = 0;
$tdataaccountincome[".nPrinterPageScale"] = 100;

$tdataaccountincome[".nPrinterSplitRecords"] = 40;

$tdataaccountincome[".geocodingEnabled"] = false;










$tdataaccountincome[".pageSize"] = 20;

$tdataaccountincome[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataaccountincome[".strOrderBy"] = $tstrOrderBy;

$tdataaccountincome[".orderindexes"] = array();


$tdataaccountincome[".sqlHead"] = "SELECT IncomeID,  	AccountTypeID,  	Amounts,  	Noted,  	Daterecorde";
$tdataaccountincome[".sqlFrom"] = "FROM accountincome";
$tdataaccountincome[".sqlWhereExpr"] = "";
$tdataaccountincome[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataaccountincome[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataaccountincome[".arrGroupsPerPage"] = $arrGPP;

$tdataaccountincome[".highlightSearchResults"] = true;

$tableKeysaccountincome = array();
$tableKeysaccountincome[] = "IncomeID";
$tdataaccountincome[".Keys"] = $tableKeysaccountincome;


$tdataaccountincome[".hideMobileList"] = array();




//	IncomeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "IncomeID";
	$fdata["GoodName"] = "IncomeID";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("accountincome","IncomeID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "IncomeID";

		$fdata["sourceSingle"] = "IncomeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "IncomeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountincome["IncomeID"] = $fdata;
		$tdataaccountincome[".searchableFields"][] = "IncomeID";
//	AccountTypeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "AccountTypeID";
	$fdata["GoodName"] = "AccountTypeID";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("accountincome","AccountTypeID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "AccountTypeID";

		$fdata["sourceSingle"] = "AccountTypeID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "AccountTypeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountincome["AccountTypeID"] = $fdata;
		$tdataaccountincome[".searchableFields"][] = "AccountTypeID";
//	Amounts
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Amounts";
	$fdata["GoodName"] = "Amounts";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("accountincome","Amounts");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Amounts";

		$fdata["sourceSingle"] = "Amounts";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Amounts";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountincome["Amounts"] = $fdata;
		$tdataaccountincome[".searchableFields"][] = "Amounts";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("accountincome","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountincome["Noted"] = $fdata;
		$tdataaccountincome[".searchableFields"][] = "Noted";
//	Daterecorde
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Daterecorde";
	$fdata["GoodName"] = "Daterecorde";
	$fdata["ownerTable"] = "accountincome";
	$fdata["Label"] = GetFieldLabel("accountincome","Daterecorde");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Daterecorde";

		$fdata["sourceSingle"] = "Daterecorde";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Daterecorde";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataaccountincome["Daterecorde"] = $fdata;
		$tdataaccountincome[".searchableFields"][] = "Daterecorde";


$tables_data["accountincome"]=&$tdataaccountincome;
$field_labels["accountincome"] = &$fieldLabelsaccountincome;
$fieldToolTips["accountincome"] = &$fieldToolTipsaccountincome;
$placeHolders["accountincome"] = &$placeHoldersaccountincome;
$page_titles["accountincome"] = &$pageTitlesaccountincome;


changeTextControlsToDate( "accountincome" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["accountincome"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["accountincome"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="accounttype";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="accounttype";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "accounttype";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["accountincome"][0] = $masterParams;
				$masterTablesData["accountincome"][0]["masterKeys"] = array();
	$masterTablesData["accountincome"][0]["masterKeys"][]="AccountTypeID";
				$masterTablesData["accountincome"][0]["detailKeys"] = array();
	$masterTablesData["accountincome"][0]["detailKeys"][]="AccountTypeID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_accountincome()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "IncomeID,  	AccountTypeID,  	Amounts,  	Noted,  	Daterecorde";
$proto0["m_strFrom"] = "FROM accountincome";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "IncomeID",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "accountincome"
));

$proto6["m_sql"] = "IncomeID";
$proto6["m_srcTableName"] = "accountincome";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "AccountTypeID",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "accountincome"
));

$proto8["m_sql"] = "AccountTypeID";
$proto8["m_srcTableName"] = "accountincome";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Amounts",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "accountincome"
));

$proto10["m_sql"] = "Amounts";
$proto10["m_srcTableName"] = "accountincome";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "accountincome"
));

$proto12["m_sql"] = "Noted";
$proto12["m_srcTableName"] = "accountincome";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Daterecorde",
	"m_strTable" => "accountincome",
	"m_srcTableName" => "accountincome"
));

$proto14["m_sql"] = "Daterecorde";
$proto14["m_srcTableName"] = "accountincome";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "accountincome";
$proto17["m_srcTableName"] = "accountincome";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "IncomeID";
$proto17["m_columns"][] = "AccountTypeID";
$proto17["m_columns"][] = "Amounts";
$proto17["m_columns"][] = "Noted";
$proto17["m_columns"][] = "Daterecorde";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "accountincome";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "accountincome";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="accountincome";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_accountincome = createSqlQuery_accountincome();


	
		;

					

$tdataaccountincome[".sqlquery"] = $queryData_accountincome;



$tdataaccountincome[".hasEvents"] = false;

?>